#pragma once
#include "level.hpp"
#include "enity/enity.hpp"
//! уровень для обучения
class Level_tutorial: public Level {
public:
  Level_tutorial() = default;
  explicit Level_tutorial(CN(a83::Str) fname)
    { init(fname); }
  void init(CN(a83::Str) fname) override {
    using namespace a83;
    Level::init(fname);
    Game::status |= GF_INAIR; // включение тряски игрока в воздухе
    /*
    список туторов:
    1. вправо/влево поворот
    2. вправо/влево + shift поворот медленнее
    3. вперёд/назад ускорение
    4. стрельба вперёд
    5. стрельба в стороны
    6. стрельба назад
    7. стрельба щит
    8. убейте противника
    9. радар/шарики, долетите до противников
    10. выпускается куча ракет, выживите 20 сек. Ракеты быстрые и сбивать их нужно сферами
    */
  } // init
  void print_d(Image& dst) override { dst.fill(Color::RED); }
  void update(CN(Phys) global_motion, float dt) override {
    Level::update(global_motion, dt);
    //...
  }
private:
  nocopy(Level_tutorial);
}; // Level_tutorial